Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.axes
Class LocPathIterator

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.patterns.NodeTest
                  |
                  +--weblogic.apache.xpath.axes.PredicatedNodeTest
                        |
                        +--weblogic.apache.xpath.axes.LocPathIterator

Direct Known Subclasses:
  ChildIterator, ChildTestIterator, DescendantIterator, KeyRefIterator, MatchPatternIterator, SelfIteratorNoPredicate, WalkingIterator

public abstract class LocPathIterator
extends PredicatedNodeTest
implements java.lang.Cloneable, weblogic.apache.xml.dtm.DTMIterator, java.io.Serializable

This class extends NodeSetDTM, which implements NodeIterator, and fetches nodes one at a time in document order based on a XPath

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Field Summary
`protected weblogic.apache.xml.dtm.DTM` | `m_cdtm` The dtm of the context node.
`protected IteratorPool` | `m_clones` The pool for cloned iterators.
`protected int` | `m_context` The context node for this iterator, which doesn't change through the course of the iteration.
`protected int` | `m_currentContextNode` The node context from where the expression is being executed from (i.e.
`protected XPathContext` | `m_execContext` The XPathContext reference, needed for execution of many operations.
`protected int` | `m_last` The index of the last node in the iteration.
`int` | `m_lastFetched` The last node that was fetched, usually by nextNode.
`protected int` | `m_next` The index of the next node to be fetched.
`protected PrefixResolver` | `m_prefixResolver` Fast access to the current prefix resolver.

Fields inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`m_foundLast, m_lpi, m_predCount, m_proximityPositions`

Fields inherited from class weblogic.apache.xpath.patterns.NodeTest
`m_name, m_whatToShow, SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`protected` | `LocPathIterator(Compiler compiler, int opPos, int analysis)` Create a LocPathIterator object, including creation of step walkers from the opcode list, and call back into the Compiler to create predicate expressions.
`protected` | `LocPathIterator(Compiler compiler, int opPos, int analysis, boolean shouldLoadWalkers)` Create a LocPathIterator object, including creation of step walkers from the opcode list, and call back into the Compiler to create predicate expressions.
`protected` | `LocPathIterator(PrefixResolver nscontext)` Create a LocPathIterator object.

Method Summary
`void` | `allowDetachToRelease(boolean allowRelease)` Specify if it's OK for detach to release the iterator for reuse.
`weblogic.apache.xml.dtm.DTMIterator` | `asIterator(XPathContext xctxt, int contextNode)` Given an select expression and a context, evaluate the XPath and return the resulting iterator.
`int` | `asNode(XPathContext xctxt)` Return the first node out of the nodeset, if this expression is a nodeset expression.
`boolean` | `bool(XPathContext xctxt)` Evaluate this operation directly to a boolean.
`weblogic.apache.xml.dtm.DTMIterator` | `cloneWithReset()` Get a cloned Iterator that is reset to the beginning of the query.
`void` | `detach()` Detaches the iterator from the set which it iterated over, releasing any computational resources and placing the iterator in the INVALID state.
`XObject` | `execute(XPathContext xctxt)` Execute this iterator, meaning create a clone that can store state, and initialize it for fast execution from the current runtime state.
`int` | `findLastPos(XPathContext xctxt)` Get the index of the last node that can be itterated to.
`int` | `getAxis()` Returns the axis being iterated, if it is known.
`NodeSetDTM` | `getCachedNodes()` Get cached nodes.
`int` | `getContext()` The node context for the iterator.
`int` | `getCurrentContextNode()` The node context from where the expression is being executed from (i.e.
`int` | `getCurrentNode()` Return the last fetched node.
`int` | `getCurrentPos()` Get the current position, which is one less than the next nextNode() call will retrieve.
`weblogic.apache.xml.dtm.DTM` | `getDTM(int nodeHandle)` Get an instance of a DTM that "owns" a node handle.
`weblogic.apache.xml.dtm.DTMManager` | `getDTMManager()` Get an instance of the DTMManager.
`boolean` | `getExpandEntityReferences()` The value of this flag determines whether the children of entity reference nodes are visible to the iterator.
`weblogic.apache.xml.dtm.DTMFilter` | `getFilter()` The filter used to screen nodes.
`boolean` | `getFoundLast()` Tells if we've found the last node yet.
`boolean` | `getIsTopLevel()` Get if this is an iterator at the upper level of the XPath.
`int` | `getLast()` Get the index of the last node in the iteration.
`int` | `getLastPos(XPathContext xctxt)` Get the index of the last node that can be itterated to.
`int` | `getLength()` The number of nodes in the list.
`PrefixResolver` | `getPrefixResolver()` Return the saved reference to the prefix resolver that was in effect when this iterator was created.
`int` | `getRoot()` The root node of the Iterator, as specified when it was created.
`int` | `getWhatToShow()` This attribute determines which node types are presented via the iterator.
`XPathContext` | `getXPathContext()` The XPath execution context we are operating on.
`boolean` | `isDocOrdered()` Returns true if all the nodes in the iteration well be returned in document order.
`boolean` | `isFresh()` Tells if this NodeSetDTM is "fresh", in other words, if the first nextNode() that is called will return the first node in the set.
`boolean` | `isMutable()` Tells if this iterator can have nodes added to it or set via the `setItem(int node, int index)` method.
`boolean` | `isNodesetExpr()` Tell if the expression is a nodeset expression.
`int` | `item(int index)` Returns the `index` th item in the collection.
`abstract int` | `nextNode()` Returns the next node in the set and advances the position of the iterator in the set.
`int` | `previousNode()` Returns the previous node in the set and moves the position of the iterator backwards in the set.
`void` | `reset()` Reset the iterator.
`protected int` | `returnNextNode(int nextNode)` Bottleneck the return of a next node, to make returns easier from nextNode().
`void` | `runTo(int index)` If an index is requested, NodeSetDTM will call this method to run the iterator to the index.
`void` | `setCurrentContextNode(int n)` Set the current context node for this iterator.
`void` | `setCurrentPos(int i)` Set the current position in the node set.
`void` | `setEnvironment(java.lang.Object environment)` Set the environment in which this iterator operates, which should provide: a node (the context node...
`void` | `setIsTopLevel(boolean b)` Set if this is an iterator at the upper level of the XPath.
`void` | `setItem(int node, int index)` Sets the node at the specified index of this vector to be the specified node.
`void` | `setLast(int last)` Set the index of the last node in the iteration.
`protected void` | `setNextPosition(int next)` Set the next position index of this iterator.
`void` | `setRoot(int context, java.lang.Object environment)` Initialize the context values for this expression after it is cloned.
`void` | `setShouldCacheNodes(boolean b)` If setShouldCacheNodes(true) is called, then nodes will be cached.
`int` | `size()` Get the length of the cached nodes.

Methods inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`acceptNode, canTraverseOutsideSubtree, clone, countProximityPosition, fixupVariables, getLocPathIterator, getPredicateCount, getPredicateIndex, getProximityPosition, getProximityPosition, getProximityPosition, initPredicateInfo, initProximityPosition, isReverseAxes, nodeToString, resetProximityPositions, setLocPathIterator, setPredicateCount`

Methods inherited from class weblogic.apache.xpath.patterns.NodeTest
`calcScore, debugWhatToShow, execute, execute, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class weblogic.apache.xpath.Expression
`assertion, error, executeCharsToContentHandler, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_clones

    protected transient IteratorPool m_clones

  The pool for cloned iterators. Iterators need to be cloned because the hold running state, and thus the original iterator expression from the stylesheet pool can not be used.

### m_cdtm

    protected transient weblogic.apache.xml.dtm.DTM m_cdtm

  The dtm of the context node. Careful about using this... it may not be the dtm of the current node.

### m_last

    protected transient int m_last

  The index of the last node in the iteration.

### m_lastFetched

    public transient int m_lastFetched

  The last node that was fetched, usually by nextNode.

### m_context

    protected transient int m_context

  The context node for this iterator, which doesn't change through the course of the iteration.

### m_currentContextNode

    protected transient int m_currentContextNode

  The node context from where the expression is being executed from (i.e. for current() support). Different from m_context in that this is the context for the entire expression, rather than the context for the subexpression.

### m_prefixResolver

    protected PrefixResolver m_prefixResolver

  Fast access to the current prefix resolver. It isn't really clear that this is needed.

### m_execContext

    protected transient XPathContext m_execContext

  The XPathContext reference, needed for execution of many operations.

### m_next

    protected transient int m_next

  The index of the next node to be fetched. Useful if this is a cached iterator, and is being used as random access NodeList.

Constructor Detail

### LocPathIterator

    protected LocPathIterator(PrefixResolver nscontext)

  Create a LocPathIterator object.

  Parameters:
    `nscontext` - The namespace context for this iterator, should be OK if null.

### LocPathIterator

    protected LocPathIterator(Compiler compiler,
                              int opPos,
                              int analysis)
                       throws javax.xml.transform.TransformerException

  Create a LocPathIterator object, including creation of step walkers from the opcode list, and call back into the Compiler to create predicate expressions.

  Parameters:
    `compiler` - The Compiler which is creating this expression.
    `opPos` - The position of this iterator in the opcode list from the compiler.
  Throws:
    javax.xml.transform.TransformerException -

### LocPathIterator

    protected LocPathIterator(Compiler compiler,
                              int opPos,
                              int analysis,
                              boolean shouldLoadWalkers)
                       throws javax.xml.transform.TransformerException

  Create a LocPathIterator object, including creation of step walkers from the opcode list, and call back into the Compiler to create predicate expressions.

  Parameters:
    `compiler` - The Compiler which is creating this expression.
    `opPos` - The position of this iterator in the opcode list from the compiler.
    `shouldLoadWalkers` - True if walkers should be loaded, or false if this is a derived iterator and it doesn't wish to load child walkers.
  Throws:
    javax.xml.transform.TransformerException -

Method Detail

### setEnvironment

    public void setEnvironment(java.lang.Object environment)

  Set the environment in which this iterator operates, which should provide: a node (the context node... same value as "root" defined below) a pair of non-zero positive integers (the context position and the context size) a set of variable bindings a function library the set of namespace declarations in scope for the expression.

  At this time the exact implementation of this environment is application dependent. Probably a proper interface will be created fairly soon.

  Parameters:
    `environment` - The environment object.

### getDTM

    public weblogic.apache.xml.dtm.DTM getDTM(int nodeHandle)

  Get an instance of a DTM that "owns" a node handle. Since a node iterator may be passed without a DTMManager, this allows the caller to easily get the DTM using just the iterator.
  Specified by:
    getDTM in interface weblogic.apache.xml.dtm.DTMIterator

  Parameters:
    `nodeHandle` - the nodeHandle.
  Returns:
    a non-null DTM reference.

### getDTMManager

    public weblogic.apache.xml.dtm.DTMManager getDTMManager()

  Get an instance of the DTMManager. Since a node iterator may be passed without a DTMManager, this allows the caller to easily get the DTMManager using just the iterator.
  Specified by:
    getDTMManager in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    a non-null DTMManager reference.

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  Execute this iterator, meaning create a clone that can store state, and initialize it for fast execution from the current runtime state. When this is called, no actual query from the current context node is performed.

  Parameters:
    `xctxt` - The XPath execution context.
  Returns:
    An XNodeSet reference that holds this iterator.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class NodeTest

### asIterator

    public weblogic.apache.xml.dtm.DTMIterator asIterator(XPathContext xctxt,
                                                          int contextNode)
                                                   throws javax.xml.transform.TransformerException

  Given an select expression and a context, evaluate the XPath and return the resulting iterator.

  Parameters:
    `xctxt` - The execution context.
    `contextNode` - The node that "." expresses.
    `namespaceContext` - The context in which namespaces in the XPath are supposed to be expanded.
  Throws:
    TransformerException - thrown if the active ProblemListener decides the error condition is severe enough to halt processing.
    javax.xml.transform.TransformerException -
  Overrides:
    asIterator in class Expression

### isNodesetExpr

    public boolean isNodesetExpr()

  Tell if the expression is a nodeset expression. In other words, tell if you can execute asNode without an exception.

  Returns:
    true if the expression can be represented as a nodeset.
  Overrides:
    isNodesetExpr in class Expression

### asNode

    public int asNode(XPathContext xctxt)
               throws javax.xml.transform.TransformerException

  Return the first node out of the nodeset, if this expression is a nodeset expression. This is the default implementation for nodesets. Derived classes should try and override this and return a value without having to do a clone operation.

  Parameters:
    `xctxt` - The XPath runtime context.
  Returns:
    the first node out of the nodeset, or DTM.NULL.
  Overrides:
    asNode in class Expression

### bool

    public boolean bool(XPathContext xctxt)
                 throws javax.xml.transform.TransformerException

  Evaluate this operation directly to a boolean.

  Parameters:
    `xctxt` - The runtime execution context.
  Returns:
    The result of the operation as a boolean.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    bool in class Expression

### setIsTopLevel

    public void setIsTopLevel(boolean b)

  Set if this is an iterator at the upper level of the XPath.

  Parameters:
    `b` - true if this location path is at the top level of the expression.

### getIsTopLevel

    public boolean getIsTopLevel()

  Get if this is an iterator at the upper level of the XPath.

  Returns:
    true if this location path is at the top level of the expression.

### setRoot

    public void setRoot(int context,
                        java.lang.Object environment)

  Initialize the context values for this expression after it is cloned.
  Specified by:
    setRoot in interface weblogic.apache.xml.dtm.DTMIterator

  Parameters:
    `execContext` - The XPath runtime context for this transformation.

### setNextPosition

    protected void setNextPosition(int next)

  Set the next position index of this iterator.

  Parameters:
    `next` - A value greater than or equal to zero that indicates the next node position to fetch.

### getCurrentPos

    public final int getCurrentPos()

  Get the current position, which is one less than the next nextNode() call will retrieve. i.e. if you call getCurrentPos() and the return is 0, the next fetch will take place at index 1.
  Specified by:
    getCurrentPos in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    A value greater than or equal to zero that indicates the next node position to fetch.

### setShouldCacheNodes

    public void setShouldCacheNodes(boolean b)

  If setShouldCacheNodes(true) is called, then nodes will be cached. They are not cached by default.
  Specified by:
    setShouldCacheNodes in interface weblogic.apache.xml.dtm.DTMIterator

  Parameters:
    `b` - True if this iterator should cache nodes.

### isMutable

    public boolean isMutable()

  Tells if this iterator can have nodes added to it or set via the `setItem(int node, int index)` method.
  Specified by:
    isMutable in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    True if the nodelist can be mutated.

### getCachedNodes

    public NodeSetDTM getCachedNodes()

  Get cached nodes.

  Returns:
    Cached nodes.

### setCurrentPos

    public void setCurrentPos(int i)

  Set the current position in the node set.
  Specified by:
    setCurrentPos in interface weblogic.apache.xml.dtm.DTMIterator

  Parameters:
    `i` - Must be a valid index greater than or equal to zero and less than m_cachedNodes.size().

### size

    public int size()

  Get the length of the cached nodes.

  Note: for the moment at least, this only returns the size of the nodes that have been fetched to date, it doesn't attempt to run to the end to make sure we have found everything. This should be reviewed.

  Returns:
    The size of the current cache list.

### item

    public int item(int index)

  Returns the `index` th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null` .
  Specified by:
    item in interface weblogic.apache.xml.dtm.DTMIterator

  Parameters:
    `index` - Index into the collection.
  Returns:
    The node at the `index` th position in the `NodeList` , or `null` if that is not a valid index.

### setItem

    public void setItem(int node,
                        int index)

  Sets the node at the specified index of this vector to be the specified node. The previous component at that position is discarded.

  The index must be a value greater than or equal to 0 and less than the current size of the vector. The iterator must be in cached mode.

  Meant to be used for sorted iterators.

  Specified by:
    setItem in interface weblogic.apache.xml.dtm.DTMIterator

  Parameters:
    `node` - Node to set
    `index` - Index of where to set the node

### getLength

    public int getLength()

  The number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    getLength in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    The number of nodes in the list, always greater or equal to zero.

### isFresh

    public boolean isFresh()

  Tells if this NodeSetDTM is "fresh", in other words, if the first nextNode() that is called will return the first node in the set.
  Specified by:
    isFresh in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    true of nextNode has not been called.

### previousNode

    public int previousNode()

  Returns the previous node in the set and moves the position of the iterator backwards in the set.
  Specified by:
    previousNode in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    The previous `Node` in the set being iterated over, or`null` if there are no more members in that set.

### getWhatToShow

    public int getWhatToShow()

  This attribute determines which node types are presented via the iterator. The available set of constants is defined in the `NodeFilter` interface.

  This is somewhat useless at this time, since it doesn't really return information that tells what this iterator will show. It is here only to fullfill the DOM NodeIterator interface.

  Specified by:
    getWhatToShow in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    For now, always NodeFilter.SHOW_ALL & ~NodeFilter.SHOW_ENTITY_REFERENCE.
  Overrides:
    getWhatToShow in class NodeTest
  See Also:
    `NodeIterator`

### getFilter

    public weblogic.apache.xml.dtm.DTMFilter getFilter()

  The filter used to screen nodes. Not used at this time, this is here only to fullfill the DOM NodeIterator interface.

  Returns:
    Always null.
  See Also:
    `NodeIterator`

### getRoot

    public int getRoot()

  The root node of the Iterator, as specified when it was created.
  Specified by:
    getRoot in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    The "root" of this iterator, which, in XPath terms, is the node context for this iterator.

### getExpandEntityReferences

    public boolean getExpandEntityReferences()

  The value of this flag determines whether the children of entity reference nodes are visible to the iterator. If false, they will be skipped over.
  To produce a view of the document that has entity references expanded and does not expose the entity reference node itself, use the whatToShow flags to hide the entity reference node and set expandEntityReferences to true when creating the iterator. To produce a view of the document that has entity reference nodes but no entity expansion, use the whatToShow flags to show the entity reference node and set expandEntityReferences to false.
  Specified by:
    getExpandEntityReferences in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    Always true, since entity reference nodes are not visible in the XPath model.

### allowDetachToRelease

    public void allowDetachToRelease(boolean allowRelease)

  Specify if it's OK for detach to release the iterator for reuse.
  Specified by:
    allowDetachToRelease in interface weblogic.apache.xml.dtm.DTMIterator

  Parameters:
    `allowRelease` - true if it is OK for detach to release this iterator for pooling.

### detach

    public void detach()

  Detaches the iterator from the set which it iterated over, releasing any computational resources and placing the iterator in the INVALID state. After`detach` has been invoked, calls to `nextNode` or`previousNode` will raise the exception INVALID_STATE_ERR.
  Specified by:
    detach in interface weblogic.apache.xml.dtm.DTMIterator

### reset

    public void reset()

  Reset the iterator.
  Specified by:
    reset in interface weblogic.apache.xml.dtm.DTMIterator

### cloneWithReset

    public weblogic.apache.xml.dtm.DTMIterator cloneWithReset()
                                                       throws java.lang.CloneNotSupportedException

  Get a cloned Iterator that is reset to the beginning of the query.
  Specified by:
    cloneWithReset in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    A cloned NodeIterator set of the start of the query.
  Throws:
    java.lang.CloneNotSupportedException -

### nextNode

    public abstract int nextNode()

  Returns the next node in the set and advances the position of the iterator in the set. After a NodeIterator is created, the first call to nextNode() returns the first node in the set.
  Specified by:
    nextNode in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    The next `Node` in the set being iterated over, or `null` if there are no more members in that set.

### returnNextNode

    protected int returnNextNode(int nextNode)

  Bottleneck the return of a next node, to make returns easier from nextNode().

  Parameters:
    `nextNode` - The next node found, may be null.
  Returns:
    The same node that was passed as an argument.

### getCurrentNode

    public int getCurrentNode()

  Return the last fetched node. Needed to support the UnionPathIterator.
  Specified by:
    getCurrentNode in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    The last fetched node, or null if the last fetch was null.

### runTo

    public void runTo(int index)

  If an index is requested, NodeSetDTM will call this method to run the iterator to the index. By default this sets m_next to the index. If the index argument is -1, this signals that the iterator should be run to the end.
  Specified by:
    runTo in interface weblogic.apache.xml.dtm.DTMIterator

  Parameters:
    `index` - The index to run to, or -1 if the iterator should run to the end.

### getFoundLast

    public final boolean getFoundLast()

  Tells if we've found the last node yet.

  Returns:
    true if the last nextNode returned null.

### getXPathContext

    public final XPathContext getXPathContext()

  The XPath execution context we are operating on.

  Returns:
    XPath execution context this iterator is operating on, or null if setRoot has not been called.

### getContext

    public final int getContext()

  The node context for the iterator.

  Returns:
    The node context, same as getRoot().

### getCurrentContextNode

    public final int getCurrentContextNode()

  The node context from where the expression is being executed from (i.e. for current() support).

  Returns:
    The top-level node context of the entire expression.

### setCurrentContextNode

    public final void setCurrentContextNode(int n)

  Set the current context node for this iterator.

  Parameters:
    `n` - Must be a non-null reference to the node context.

### getPrefixResolver

    public final PrefixResolver getPrefixResolver()

  Return the saved reference to the prefix resolver that was in effect when this iterator was created.

  Returns:
    The prefix resolver or this iterator, which may be null.

### getLast

    public int getLast()

  Get the index of the last node in the iteration.

  Returns:
    the index of the last node in the iteration.

### setLast

    public void setLast(int last)

  Set the index of the last node in the iteration.

  Parameters:
    `last` - the index of the last node in the iteration.

### getLastPos

    public int getLastPos(XPathContext xctxt)

  Get the index of the last node that can be itterated to. This probably will need to be overridded by derived classes.

  Parameters:
    `xctxt` - XPath runtime context.
  Returns:
    the index of the last node that can be itterated to.
  Overrides:
    getLastPos in class PredicatedNodeTest

### findLastPos

    public int findLastPos(XPathContext xctxt)

  Get the index of the last node that can be itterated to. This probably will need to be overridded by derived classes.

  Parameters:
    `xctxt` - XPath runtime context.
  Returns:
    the index of the last node that can be itterated to.

### isDocOrdered

    public boolean isDocOrdered()

  Returns true if all the nodes in the iteration well be returned in document order.
  Specified by:
    isDocOrdered in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    true as a default.

### getAxis

    public int getAxis()

  Returns the axis being iterated, if it is known.
  Specified by:
    getAxis in interface weblogic.apache.xml.dtm.DTMIterator

  Returns:
    Axis.CHILD, etc., or -1 if the axis is not known or is of multiple types.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference